Imagick::getImageChannelRange
Imagick::getImageClipMask
Imagick
PHP Manual

# Imagick::getImageChannelStatistics

Returns statistics for each channel in the image

### Description

array Imagick::getImageChannelStatistics ( void )

Returns statistics for each channel in the image. The statistics include the channel depth, its minima and maxima, the mean, and the standard deviation. You can access the red channel mean, for example, like this:

### Return Values

Returns `TRUE` on success.